<?php
// $Id: template.php,v 1.2.2.1 2009/10/10 03:55:41 blagoj Exp $

function pixel_preprocess_page(&$vars) {
  $vars['footer_msg'] = ' &copy; ' . $vars['site_name'] . ' ' . date('Y');
  $vars['search_box'] = str_replace(t('Search this site: '), '', $vars['search_box']);
}

function pixel_preprocess_node(&$vars) {
  $vars['postdate'] = format_date($vars['node']->created, 'custom', 'd F Y');
  $vars['author'] = theme('username', $vars['node']);
  $vars['posted_by'] = t('By') . ' ' . $vars['author'] . ' ' . t('on') . ' ' . $vars['postdate'];
}

function pixel_preprocess_comment(&$vars) {
  $vars['classes'] = array('comment');
  if ($vars['zebra'] == 'odd') {
    $vars['classes'][] = 'alt';
  }
  $vars['classes'] = implode(' ', $vars['classes']);
}


function pixel_regions() {
  return array('right' => t('Sidebar'), 'content'  => t('Content'), 'footer' => t('Footer'));
}

function _phptemplate_variables($hook, $vars) {

  if($hook == 'comment') {
    $vars['node'] = node_load($vars['comment']->nid);
  	pixel_preprocess_comment($vars);
  }
  else
  {
    $function = 'pixel_preprocess_'. str_replace('-', '_', $hook);
    if (function_exists($function)) 
	$function($vars);
  }

  return $vars;
}

function pixel_comment_wrapper($content) {

  return '<div id="comments">
  <h3>' . t('Comments on this post') . '</h3>
  <ol class="commentlist">
 '. $content . '
  </ol>
</div>';
}

